package jp.co.student.springbootstudy.domain.model;

public class ClassRoom {

	/**
	 * This field was generated by MyBatis Generator. This field corresponds to the database column public.class_room.class_room_id
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	private Integer classRoomId;
	/**
	 * This field was generated by MyBatis Generator. This field corresponds to the database column public.class_room.class_room_name
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	private String classRoomName;
	/**
	 * This field was generated by MyBatis Generator. This field corresponds to the database column public.class_room.capancity
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	private Integer capancity;

	/**
	 * This method was generated by MyBatis Generator. This method returns the value of the database column public.class_room.class_room_id
	 * @return  the value of public.class_room.class_room_id
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	public Integer getClassRoomId() {
		return classRoomId;
	}

	/**
	 * This method was generated by MyBatis Generator. This method sets the value of the database column public.class_room.class_room_id
	 * @param classRoomId  the value for public.class_room.class_room_id
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	public void setClassRoomId(Integer classRoomId) {
		this.classRoomId = classRoomId;
	}

	/**
	 * This method was generated by MyBatis Generator. This method returns the value of the database column public.class_room.class_room_name
	 * @return  the value of public.class_room.class_room_name
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	public String getClassRoomName() {
		return classRoomName;
	}

	/**
	 * This method was generated by MyBatis Generator. This method sets the value of the database column public.class_room.class_room_name
	 * @param classRoomName  the value for public.class_room.class_room_name
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	public void setClassRoomName(String classRoomName) {
		this.classRoomName = classRoomName;
	}

	/**
	 * This method was generated by MyBatis Generator. This method returns the value of the database column public.class_room.capancity
	 * @return  the value of public.class_room.capancity
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	public Integer getCapancity() {
		return capancity;
	}

	/**
	 * This method was generated by MyBatis Generator. This method sets the value of the database column public.class_room.capancity
	 * @param capancity  the value for public.class_room.capancity
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	public void setCapancity(Integer capancity) {
		this.capancity = capancity;
	}
}